Subject: bug#34431: closed (Re: bug#34431: Qt fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Feb 2019 11:09:02 +0000

Your bug report

#34431: Qt fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34431: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34431
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34431: Qt fails to build
From: Andreas Enge <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Feb 2019 12:08:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Feb 11, 2019 at 04:27:38PM +0100, Andreas Enge wrote:
> It happens on my laptop, with kernel 4.9.0. But I thought it also happens
> on bayfront (kernel 4.19.1), which offloads to harbourfront (kernel 4.19.8).
> I will try the latter two again.

Actually I did not remember well, it did compile now on bayfront/harbourfront.
So this seems to be very transient and does not occur on the most recent Guix.
I am closing this bug, and we can open it again if there is a need; the
information on the potential patch will remain online anyway.

Andreas

Subject: Qt fails to build
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Mon, 11 Feb 2019 12:20:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

qt currently fails to build for me.

$ guix describe
Generation 11	10. Februar 2019 09:32:33	(aktuell)
  guix 50a93ad
    Repository-URL: https://git.savannah.gnu.org/git/guix.git
    Commit: 50a93adc05b611836e740c4b55571890f4c6770a

$ guix build qtbase

...
/tmp/guix-build-qtbase-5.11.3.drv-0/qtbase-everywhere-src-5.11.3/bin/qvkgen: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
make[2]: *** [Makefile:1631: vulkan/qvulkanfunctions.h] Error 127
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory '/tmp/guix-build-qtbase-5.11.3.drv-0/qtbase-everywhere-src-5.11.3/src/gui'
make[1]: *** [Makefile:448: sub-gui-make_first] Error 2
make[1]: Leaving directory '/tmp/guix-build-qtbase-5.11.3.drv-0/qtbase-everywhere-src-5.11.3/src'
make: *** [Makefile:49: sub-src-make_first] Error 2
Backtrace:
           4 (primitive-load "/gnu/store/sknkcqbgchxippcvpibh33qz15p…")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
   863:16  2 (every1 #<procedure a8d0a0 at /gnu/store/gfprsx2m62cvq…> …)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/gnu-build-system.scm:
   799:28  1 (_ _)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/utils.scm:
    616:6  0 (invoke _ . _)

/gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/utils.scm:616:6: In procedure invoke:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "make" arguments: ("-j" "4") exit-status: 2 term-signal: #f stop-signal: #f] a38780>)'.
builder for `/gnu/store/2cqb7nhwii2vcykvw6q28zg4rbhffvdj-qtbase-5.11.3.drv' failed with exit code 1
build of /gnu/store/2cqb7nhwii2vcykvw6q28zg4rbhffvdj-qtbase-5.11.3.drv failed

Andreas